Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model.util
Class ModelSwitch<T>

    java.lang.Object
      org.eclipse.emf.ecore.util.Switch<T>
          org.eclipse.emf.ecp.view.dynamictree.model.util.ModelSwitch<T>

    public class ModelSwitch<T>

extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `ModelPackage`

Constructor Summary
`ModelSwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseAbstractCategorization(VAbstractCategorization object)` Returns the result of interpreting the object as an instance of 'Abstract Categorization'.
`T` | `caseCategorizableElement(VCategorizableElement object)` Returns the result of interpreting the object as an instance of 'Categorizable Element'.
`T` | `caseCategory(VCategory object)` Returns the result of interpreting the object as an instance of 'Category'.
`T` | `caseDomainIntermediate(DomainIntermediate object)` Returns the result of interpreting the object as an instance of 'Domain Intermediate'.
`T` | `caseDomainModelReference(VDomainModelReference object)` Returns the result of interpreting the object as an instance of 'Domain Model Reference'.
`T` | `caseDomainRoot(DomainRoot object)` Returns the result of interpreting the object as an instance of 'Domain Root'.
`T` | `caseDynamicContainmentItem(DynamicContainmentItem object)` Returns the result of interpreting the object as an instance of 'Dynamic Containment Item'.
`T` | `caseDynamicContainmentTree(DynamicContainmentTree object)` Returns the result of interpreting the object as an instance of 'Dynamic Containment Tree'.
`T` | `caseDynamicContainmentTreeDomainModelReference(DynamicContainmentTreeDomainModelReference object)` Returns the result of interpreting the object as an instance of ' Dynamic Containment Tree Domain Model Reference'.
`T` | `caseElement(VElement object)` Returns the result of interpreting the object as an instance of 'Element'.
`T` | `caseTestElement(TestElement object)` Returns the result of interpreting the object as an instance of 'Test Element'.
`T` | `caseTestElementContainer(TestElementContainer object)` Returns the result of interpreting the object as an instance of 'Test Element Container'.
`T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.

Methods inherited from class org.eclipse.emf.ecore.util.Switch
`doSwitch`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelSwitch

    public ModelSwitch()

  Creates an instance of the switch.

Method Detail

### caseDynamicContainmentTree

    public T caseDynamicContainmentTree(DynamicContainmentTree object)

  Returns the result of interpreting the object as an instance of 'Dynamic Containment Tree'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Dynamic Containment Tree'.
  See Also:
    `doSwitch(EObject)`

### caseDynamicContainmentItem

    public T caseDynamicContainmentItem(DynamicContainmentItem object)

  Returns the result of interpreting the object as an instance of 'Dynamic Containment Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Dynamic Containment Item'.
  See Also:
    `doSwitch(EObject)`

### caseTestElement

    public T caseTestElement(TestElement object)

  Returns the result of interpreting the object as an instance of 'Test Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Test Element'.
  See Also:
    `doSwitch(EObject)`

### caseDomainRoot

    public T caseDomainRoot(DomainRoot object)

  Returns the result of interpreting the object as an instance of 'Domain Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Domain Root'.
  See Also:
    `doSwitch(EObject)`

### caseDomainIntermediate

    public T caseDomainIntermediate(DomainIntermediate object)

  Returns the result of interpreting the object as an instance of 'Domain Intermediate'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Domain Intermediate'.
  See Also:
    `doSwitch(EObject)`

### caseTestElementContainer

    public T caseTestElementContainer(TestElementContainer object)

  Returns the result of interpreting the object as an instance of 'Test Element Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Test Element Container'.
  See Also:
    `doSwitch(EObject)`

### caseDynamicContainmentTreeDomainModelReference

    public T caseDynamicContainmentTreeDomainModelReference(DynamicContainmentTreeDomainModelReference object)

  Returns the result of interpreting the object as an instance of ' Dynamic Containment Tree Domain Model Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of ' Dynamic Containment Tree Domain Model Reference'.
  See Also:
    `doSwitch(EObject)`

### caseElement

    public T caseElement(VElement object)

  Returns the result of interpreting the object as an instance of 'Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Element'.
  See Also:
    `doSwitch(EObject)`

### caseCategorizableElement

    public T caseCategorizableElement(VCategorizableElement object)

  Returns the result of interpreting the object as an instance of 'Categorizable Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Categorizable Element'.
  See Also:
    `doSwitch(EObject)`

### caseAbstractCategorization

    public T caseAbstractCategorization(VAbstractCategorization object)

  Returns the result of interpreting the object as an instance of 'Abstract Categorization'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Abstract Categorization'.
  See Also:
    `doSwitch(EObject)`

### caseCategory

    public T caseCategory(VCategory object)

  Returns the result of interpreting the object as an instance of 'Category'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Category'.
  See Also:
    `doSwitch(EObject)`

### caseDomainModelReference

    public T caseDomainModelReference(VDomainModelReference object)

  Returns the result of interpreting the object as an instance of 'Domain Model Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Domain Model Reference'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Overrides:
    `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.